### Virtual Method

# RB Source paste

#### Declaration [src]

    RBTrackTransferBatch*
    paste (
      RBSource* source,
      GList* entries
    )

#### Description [src]

Adds a list of entries previously cut or copied from another source. If the entries are not of the type used by the source, the entries will be copied and possibly converted into an acceptable format. This can be used for transfers to and from devices and network shares.

If the transfer is performed using an `RBTrackTransferBatch`, the batch object is returned so the caller can monitor the transfer progress. The caller does not own a reference on the batch object.

#### Parameters

`entries`

  Type: A list of `RhythmDBEntry*`

  A list of `RhythmDBEntry` objects to paste in.

  The data is owned by the caller of the method.

#### Return value

Type: `RBTrackTransferBatch`

The `RBTrackTransferBatch` used to perform the transfer (if any).

The returned data is owned by the instance.